Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class NULL

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.NULL

public class NULL
extends java.lang.Object
implements ASN1Value

Inner Class Summary
`static class` | `NULL.Template`

Field Summary
`static Form` | `FORM`
`private static NULL` | `instance`
`static Tag` | `TAG`
`private static NULL.Template` | `templateInstance`

Constructor Summary
`NULL()`

Method Summary
`void` | `encode(java.io.OutputStream ostream)`
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)`
`static NULL` | `getInstance()`
`Tag` | `getTag()`
`static NULL.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

### FORM

    public static final Form FORM

### instance

    private static final NULL instance

### templateInstance

    private static final NULL.Template templateInstance

Constructor Detail

### NULL

    public NULL()

Method Detail

### getTag

    public Tag getTag()

  Specified by:
    getTag in interface ASN1Value

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Specified by:
    encode in interface ASN1Value

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Specified by:
    encode in interface ASN1Value

### getInstance

    public static NULL getInstance()

### getTemplate

    public static NULL.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD